### Function

# Fwupd install_flags_to_string

since: 2.0.0

#### Declaration [src]

    const gchar*
    fwupd_install_flags_to_string (
      FwupdInstallFlags val
    )

#### Description [src]

Converts an enumerated value to a string.

Available since: 2.0.0

#### Parameters

`val`

  Type: `FwupdInstallFlags`

  Value, e.g. `FWUPD_INSTALL_FLAG_ALLOW_REINSTALL`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.